Subject: Re: [PATCH net-next 3/5] ipv6: Stop /128 route from disappearing after pmtu update

From: Hajime Tazaki <[email-masked]>
Date: Sun, 03 May 2015 23:29:55 +0900

Hi,

At Sat, 2 May 2015 20:38:01 -0700,
Martin KaFai Lau wrote:
> 
> On Sun, May 03, 2015 at 09:19:47AM +0900, Hajime Tazaki wrote:
> > - 'ip -6 r show' at the ping6 sender
> > 2001:1::/64 dev sim0  proto kernel  metric 256 
> > fe80::/64 dev sim0  proto kernel  metric 256 
> > 
> > # the results of ip command on receiver side are almost
> >   similar.
> > 
> > I found that the test uses non-ARP interface between nodes:
> > if I changed the interface to 'non-NOARP' NIC, the issue has
> > gone away without the revert.
> I have given a little more thoughts.  With the below partial patch
> ruled out and together with a /64 route in your test,
> I failed to see how another line change could have broken.
> 
> Can you share some more details on your test and

the test uses two nodes (running on ns-3 network simulator
with net-next kernel), which is connected via a
point-to-point data link: payload is encapsulated by PPP
(RFC1661).

https://www.nsnam.org/docs/models/html/point-to-point.html

so there is no need of neighbor resolution (ARP, NS/NA) on
that link (dev->flags has IFF_NOARP and IFF_POINTOPOINT bits).

             point-to-point
   node 0  <---------------> node 1
2001:1::1/64               2001:1::2/64

let me know if you need further information.

> can you reproduce it with some basic iproute2 commands?

I'm going to create a real environment to figure out a
minimum-reproducible command set that we can try.

do you have any chance to create an interface with IFF_NOARP
and IFF_POINTOPOINT (some tunnel device ?) on the latest
net-next kernel ?

-- Hajime